-- 基础信息
base_info = {
	group_id = 133104657
}

-- DEFS_MISCS
defs = {
        group_id = 133104657,
        gadget_prison_list = {657001},
        gadget_guide = {657057,657058, 657059},
        bait_list = {
                [1] = { 657053, 657054, 657055},
                [2] = { 657060, 657061, 657062},
                [3] = { 657063, 657064, 657065},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy =  657056,
        galleryId = 7028,
        eye_point =  657071,
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 657076, 657077, 657078, 657079, 657080, 657081}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[657001] = { config_id = 657001, gadget_id = 70800087, pos = { x = 99.255, y = 251.352, z = 68.378 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 7 },
	[657002] = { config_id = 657002, gadget_id = 70800080, pos = { x = 77.857, y = 257.283, z = 130.832 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657003] = { config_id = 657003, gadget_id = 70800079, pos = { x = 75.120, y = 257.329, z = 130.890 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 7 },
	[657004] = { config_id = 657004, gadget_id = 70800079, pos = { x = 70.723, y = 262.689, z = 142.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657005] = { config_id = 657005, gadget_id = 70310008, pos = { x = 103.750, y = 241.000, z = 103.900 }, rot = { x = 90.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657006] = { config_id = 657006, gadget_id = 70800080, pos = { x = 95.096, y = 248.409, z = 144.758 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 7 },
	[657007] = { config_id = 657007, gadget_id = 70800079, pos = { x = 95.552, y = 247.292, z = 139.491 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 7 },
	[657008] = { config_id = 657008, gadget_id = 70800076, pos = { x = 98.448, y = 246.535, z = 132.167 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 7 },
	[657009] = { config_id = 657009, gadget_id = 70800076, pos = { x = 99.781, y = 246.033, z = 130.782 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 7 },
	[657010] = { config_id = 657010, gadget_id = 70800080, pos = { x = 51.609, y = 266.599, z = 112.874 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 7 },
	[657011] = { config_id = 657011, gadget_id = 70800079, pos = { x = 53.123, y = 261.548, z = 99.636 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 7 },
	[657012] = { config_id = 657012, gadget_id = 70800076, pos = { x = 60.669, y = 270.218, z = 91.423 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 7 },
	[657013] = { config_id = 657013, gadget_id = 70800080, pos = { x = 80.584, y = 247.437, z = 88.106 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 7 },
	[657014] = { config_id = 657014, gadget_id = 70800076, pos = { x = 66.790, y = 257.989, z = 86.970 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657015] = { config_id = 657015, gadget_id = 70800079, pos = { x = 60.350, y = 260.096, z = 95.428 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657016] = { config_id = 657016, gadget_id = 70800076, pos = { x = 58.230, y = 270.259, z = 92.703 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657017] = { config_id = 657017, gadget_id = 70800079, pos = { x = 74.706, y = 256.094, z = 104.186 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 7 },
	[657018] = { config_id = 657018, gadget_id = 70800080, pos = { x = 85.787, y = 247.593, z = 102.049 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 7 },
	[657019] = { config_id = 657019, gadget_id = 70310016, pos = { x = 88.818, y = 248.713, z = 149.663 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657020] = { config_id = 657020, gadget_id = 70800079, pos = { x = 91.566, y = 256.127, z = 97.671 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 7 },
	[657021] = { config_id = 657021, gadget_id = 70310016, pos = { x = 88.857, y = 248.252, z = 159.175 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657022] = { config_id = 657022, gadget_id = 70800079, pos = { x = 115.458, y = 251.644, z = 105.743 }, rot = { x = 10.000, y = 10.000, z = 0.000 }, level = 10, area_id = 7 },
	[657023] = { config_id = 657023, gadget_id = 70800076, pos = { x = 106.995, y = 250.228, z = 108.304 }, rot = { x = 10.000, y = 10.000, z = 0.000 }, level = 10, area_id = 7 },
	[657024] = { config_id = 657024, gadget_id = 70310016, pos = { x = 97.564, y = 245.765, z = 146.841 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657025] = { config_id = 657025, gadget_id = 70800079, pos = { x = 96.476, y = 256.097, z = 84.366 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657026] = { config_id = 657026, gadget_id = 70800080, pos = { x = 79.991, y = 255.789, z = 78.775 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 7 },
	[657027] = { config_id = 657027, gadget_id = 70800080, pos = { x = 89.339, y = 247.887, z = 91.115 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 7 },
	[657028] = { config_id = 657028, gadget_id = 70800079, pos = { x = 71.956, y = 257.356, z = 128.745 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657029] = { config_id = 657029, gadget_id = 70800076, pos = { x = 96.174, y = 246.284, z = 129.204 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 7 },
	[657030] = { config_id = 657030, gadget_id = 70800076, pos = { x = 97.464, y = 246.035, z = 127.462 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657031] = { config_id = 657031, gadget_id = 70800080, pos = { x = 91.252, y = 256.127, z = 107.323 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657032] = { config_id = 657032, gadget_id = 70800080, pos = { x = 89.061, y = 247.499, z = 114.502 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657033] = { config_id = 657033, gadget_id = 70800076, pos = { x = 104.542, y = 256.249, z = 104.267 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 7 },
	[657034] = { config_id = 657034, gadget_id = 70310016, pos = { x = 93.670, y = 250.633, z = 100.386 }, rot = { x = 90.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657035] = { config_id = 657035, gadget_id = 70800079, pos = { x = 59.910, y = 263.239, z = 115.509 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 7 },
	[657036] = { config_id = 657036, gadget_id = 70800080, pos = { x = 59.023, y = 260.298, z = 93.945 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657037] = { config_id = 657037, gadget_id = 70800080, pos = { x = 96.549, y = 256.097, z = 94.729 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657038] = { config_id = 657038, gadget_id = 70800076, pos = { x = 82.166, y = 255.884, z = 81.702 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657039] = { config_id = 657039, gadget_id = 70800079, pos = { x = 83.960, y = 255.927, z = 80.974 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657040] = { config_id = 657040, gadget_id = 70800080, pos = { x = 92.343, y = 255.888, z = 81.506 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657041] = { config_id = 657041, gadget_id = 70800079, pos = { x = 90.184, y = 255.908, z = 83.819 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657042] = { config_id = 657042, gadget_id = 44000257, pos = { x = 97.225, y = 256.106, z = 99.483 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 7 },
	[657043] = { config_id = 657043, gadget_id = 70800079, pos = { x = 105.074, y = 250.050, z = 108.190 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 7 },
	[657044] = { config_id = 657044, gadget_id = 70800080, pos = { x = 92.612, y = 246.911, z = 117.830 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 7 },
	[657045] = { config_id = 657045, gadget_id = 70310016, pos = { x = 97.739, y = 245.765, z = 147.003 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657046] = { config_id = 657046, gadget_id = 70800076, pos = { x = 61.139, y = 263.266, z = 118.749 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 7 },
	[657047] = { config_id = 657047, gadget_id = 70800079, pos = { x = 71.930, y = 257.238, z = 127.035 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 7 },
	[657048] = { config_id = 657048, gadget_id = 70800080, pos = { x = 76.772, y = 257.260, z = 127.192 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657049] = { config_id = 657049, gadget_id = 70800079, pos = { x = 87.478, y = 248.777, z = 126.827 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 7 },
	[657050] = { config_id = 657050, gadget_id = 70800079, pos = { x = 89.442, y = 248.322, z = 129.363 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 7 },
	[657051] = { config_id = 657051, gadget_id = 70800076, pos = { x = 94.827, y = 246.425, z = 126.203 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 7 },
	[657052] = { config_id = 657052, gadget_id = 70800080, pos = { x = 84.970, y = 249.068, z = 129.779 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵1
	[657053] = { config_id = 657053, gadget_id = 44000107, pos = { x = 73.604, y = 256.532, z = 83.298 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵2
	[657054] = { config_id = 657054, gadget_id = 44000107, pos = { x = 73.628, y = 256.952, z = 81.521 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657055] = { config_id = 657055, gadget_id = 44000107, pos = { x = 73.614, y = 259.250, z = 79.921 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 能量球随机点1
	[657056] = { config_id = 657056, gadget_id = 44000105, pos = { x = 101.505, y = 245.806, z = 133.198 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	-- 场景猎人引导1
	[657057] = { config_id = 657057, gadget_id = 44000106, pos = { x = 92.668, y = 248.764, z = 74.326 }, rot = { x = 359.152, y = 323.032, z = 352.282 }, level = 10, area_id = 7 },
	-- 场景猎人引导1
	[657058] = { config_id = 657058, gadget_id = 44000106, pos = { x = 93.786, y = 248.744, z = 75.102 }, rot = { x = 358.995, y = 320.959, z = 352.671 }, level = 10, area_id = 7 },
	-- 场景猎人引导1
	[657059] = { config_id = 657059, gadget_id = 44000106, pos = { x = 94.833, y = 249.000, z = 75.923 }, rot = { x = 359.044, y = 323.021, z = 351.954 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657060] = { config_id = 657060, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657061] = { config_id = 657061, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657062] = { config_id = 657062, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657063] = { config_id = 657063, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657064] = { config_id = 657064, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	-- 场景诱饵3
	[657065] = { config_id = 657065, gadget_id = 44000107, pos = { x = 75.456, y = 256.137, z = 105.258 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 7 },
	[657066] = { config_id = 657066, gadget_id = 70800064, pos = { x = 91.517, y = 273.716, z = 114.289 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657067] = { config_id = 657067, gadget_id = 44000253, pos = { x = 71.843, y = 256.137, z = 101.399 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 7 },
	[657068] = { config_id = 657068, gadget_id = 44000253, pos = { x = 70.174, y = 256.137, z = 104.213 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 7 },
	[657082] = { config_id = 657082, gadget_id = 70800111, pos = { x = 97.266, y = 245.690, z = 146.767 }, rot = { x = 0.000, y = 340.000, z = 0.000 }, level = 1, area_id = 7 },
	[657083] = { config_id = 657083, gadget_id = 70800111, pos = { x = 92.400, y = 246.590, z = 158.600 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657084] = { config_id = 657084, gadget_id = 70800111, pos = { x = 101.210, y = 255.800, z = 83.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657085] = { config_id = 657085, gadget_id = 70800111, pos = { x = 74.116, y = 252.707, z = 102.050 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657086] = { config_id = 657086, gadget_id = 70800111, pos = { x = 74.109, y = 250.062, z = 102.022 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 },
	[657087] = { config_id = 657087, gadget_id = 70800111, pos = { x = 112.709, y = 248.627, z = 113.269 }, rot = { x = 0.000, y = 350.339, z = 0.000 }, level = 1, area_id = 7 },
	[657088] = { config_id = 657088, gadget_id = 70800111, pos = { x = 101.451, y = 259.274, z = 91.571 }, rot = { x = 358.784, y = 324.812, z = 2.173 }, level = 1, area_id = 7 },
	[657089] = { config_id = 657089, gadget_id = 70800111, pos = { x = 95.020, y = 245.690, z = 146.247 }, rot = { x = 0.000, y = 340.000, z = 0.000 }, level = 1, area_id = 7 }
}

-- 区域
regions = {
	[657070] = { config_id = 657070, shape = RegionShape.SPHERE, radius = 200, pos = { x = 76.056, y = 256.124, z = 83.057 }, area_id = 7 },
	[657071] = { config_id = 657071, shape = RegionShape.SPHERE, radius = 80, pos = { x = 105.311, y = 249.917, z = 109.051 }, area_id = 7 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 657072, pos = { x = 99.255, y = 251.352, z = 68.378 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, area_id = 7 },
	{ config_id = 657073, pos = { x = 92.668, y = 248.764, z = 74.326 }, rot = { x = 359.152, y = 323.032, z = 352.282 }, area_id = 7 },
	{ config_id = 657074, pos = { x = 93.786, y = 248.744, z = 75.102 }, rot = { x = 358.995, y = 320.959, z = 352.671 }, area_id = 7 },
	{ config_id = 657075, pos = { x = 94.833, y = 249.000, z = 75.923 }, rot = { x = 359.044, y = 323.021, z = 351.954 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657076, pos = { x = 83.930, y = 256.246, z = 129.549 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657077, pos = { x = 97.506, y = 265.038, z = 94.744 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657078, pos = { x = 81.669, y = 257.029, z = 96.139 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657079, pos = { x = 85.267, y = 248.718, z = 120.931 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657080, pos = { x = 65.895, y = 271.231, z = 96.365 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 },
	-- 能量随机点1
	{ config_id = 657081, pos = { x = 109.338, y = 251.584, z = 139.541 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 7 }
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 657069, gadget_id = 70310066, pos = { x = 106.321, y = 283.420, z = 110.365 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 7 }
	}
}

-- 视野组
sight_groups = {
	{ 657001, 657057, 657058, 657059, 657056 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 657001 },
		regions = { 657070, 657071 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 657002, 657003, 657004, 657006, 657007, 657008, 657009, 657010, 657011, 657012, 657013, 657014, 657015, 657016, 657017, 657018, 657020, 657022, 657023, 657025, 657026, 657027, 657028, 657029, 657030, 657031, 657032, 657033, 657035, 657036, 657037, 657038, 657039, 657040, 657041, 657042, 657043, 657044, 657046, 657047, 657048, 657049, 657050, 657051, 657052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 预留,
		monsters = { },
		gadgets = { 657005, 657019, 657021, 657024, 657034, 657066, 657067, 657068, 657082, 657083, 657084, 657085, 657086, 657087, 657088, 657089 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 预留,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_4/HideAndSeek_Gallery_V2"
require "V2_4/HideAndSeek_Skill_V2"
